Bug 107683 - cpu idle counter in /proc/stat can be unstable
cpu idle counter in /proc/stat can be unstable
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 20:03 EDT by Chris Bertin
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 03:47:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Bertin 2003-10-21 20:03:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; HP-UX 9000/800; en-US; rv:1.2.1) Gecko/20030409

Description of problem:
All CPU counters in /proc/stat should be ever increasing (until they wrap, at
least) but, on some systems with the kernel version above,
the idle counter can go up and down by one:

# while : ; do grep cpu0 /proc/stat; sleep 5; done
cpu0 899789 34080527 878200 275371855
cpu0 899794 34081013 878210 275371855
cpu0 899801 34081500 878217 275371855
cpu0 899807 34081986 878226 275371854
cpu0 899815 34082473 878232 275371855
cpu0 899823 34082959 878238 275371855
cpu0 899830 34083445 878247 275371855

This happens when the CPU is 100% busy. To force this condition, a simple loop
will do:

# while : ; do : ; done


This can also happen on MP systems. It confuses performance tools.

Version-Release number of selected component (if applicable):
kernel-2.4.18-14 #1 Wed Sep 4 13:35:50 EDT 2002

How reproducible:
Sometimes

Steps to Reproduce:
1. while : ; do : ; done & 
2. while : ; do grep cpu0 /proc/stat; sleep 5; done
3.
    

Actual Results:  Idle counter goes up and down by one.

Expected Results:  Idle counter or any other counter should never go down.

Additional info:
Comment 1 Arjan van de Ven 2003-10-22 03:47:53 EDT
your kernel is very very old and has been obsoleted by like a dozen errata
releases....

Note You need to log in before you can comment on or make changes to this bug.